// A fan game by poret. This game is not affiliated with SNK. This is a fan game which is not being sold or distributed for profit.


#include "Character/KOFRenderableCharacter.h"

#include "PaperFlipbookComponent.h"

// Sets default values
AKOFRenderableCharacter::AKOFRenderableCharacter()
{
 	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

	Sprite = CreateOptionalDefaultSubobject<UPaperFlipbookComponent>(TEXT("Sprite"));
	if (Sprite)
	{
		Sprite->AlwaysLoadOnClient = true;
		Sprite->AlwaysLoadOnServer = true;
		Sprite->bOwnerNoSee = false;
		Sprite->bAffectDynamicIndirectLighting = true;
		Sprite->SetupAttachment(RootComponent);
	}
	
	// Try to create the sprite component
	Shadow = CreateOptionalDefaultSubobject<UPaperFlipbookComponent>(TEXT("Shadow"));
	if (Shadow)
	{
		Shadow->AlwaysLoadOnClient = true;
		Shadow->AlwaysLoadOnServer = true;
		Shadow->bOwnerNoSee = false;
		Shadow->bAffectDynamicIndirectLighting = true;
		Shadow->SetupAttachment(Sprite);
		Shadow->SetRelativeScale3D(FVector(1.0f, 1.0f, -0.3f));
		Shadow->SetSpriteColor(FLinearColor::Black);
	}
}

// Called when the game starts or when spawned
void AKOFRenderableCharacter::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void AKOFRenderableCharacter::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

